<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping
    default-lazy="false"
    auto-import="true"
    default-access="property"
    default-cascade="all"
    package="gov.va.med.esr.common.model.financials">

    <class name="Debt"
        table="FINANCIAL_DEBT_DETAIL">

        <id name="identifier"
            type="big_decimal"
            column="FINANCIAL_DEBT_DETAIL_ID">
            <generator class="gov.va.med.fw.persistent.hibernate.BigSequenceGenerator">
                <param name="sequence">transaction_s</param>
            </generator>
        </id>
		
		<version name="version" type="integer" column="RECORD_MODIFIED_COUNT"/>	

        
        <many-to-one name="financialInformation" class="FinancialInformation" 
            cascade="none" not-null="true" column="FINANCIAL_STATEMENT_ID" />

        <property name="amount" type="big_decimal" column="GROSS_AMOUNT"/>
              

        <property name="createdOn" column="RECORD_CREATED_DATE" type="timestamp" not-null="true" update="false"/>
        <property name="modifiedOn" column="RECORD_MODIFIED_DATE" type="timestamp" not-null="true"/>
		<property name="createdBy" column="RECORD_CREATED_BY" update="false" type="gov.va.med.fw.persistent.hibernate.AuditUserType"/> 
		<property name="modifiedBy" column="RECORD_MODIFIED_BY" type="gov.va.med.fw.persistent.hibernate.AuditUserType"/>
    </class>
</hibernate-mapping>